package com.ruoyi.shipping.excel;

/**
 * @Author ZhaoQian La
 * @Date 2021/5/12 15:45
 * @Version 1.0
 */

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

/**
 * 凯和网页版对账单下载
 */
public class Account {
    private static final long serialVersionUID = 1L;

    /**
     * 对账单号
     */
    @Excel(name = "对账单号")
    private String fBillno;
    /**
     * 货权方
     */
    @Excel(name = "货权方")
    private String fCtrlcorpid;
    /**
     * 结算单位
     */
    @Excel(name = "结算单位")
    private String fCorpidName;
    /**
     * 对账日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "账单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fAccbilldate;
    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String tMblno;
    /**
     * 金额
     */
    @Excel(name = "应收合计")
    private Float fAmtdr;

    /**
     * 对账金额
     */
    @Excel(name = "实收合计")
    private Float fAmtcr;
    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createBy;
    /**
     * 申请方
     */
    @Excel(name = "申请方")
    private String createName;
    /**
     * 创建日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;
    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateTime;
    /**
     * 税率
     */
    @Excel(name = "税率")
    private float fTaxrate;
    /**
     * 收费方式
     */
    @Excel(name = "收费方式")
    private String chargingMethod;
    /**
     * 发票号
     */
    @Excel(name = "发票号")
    private String invoiceNo;
    /**
     * 银行
     */
    @Excel(name = "银行")
    private String bank;
    /**
     * 水单号
     */
    @Excel(name = "水单号")
    private String waterBillNo;
    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fBillstatus;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String fRemarks;

    public String getfBillno() {
        return fBillno;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public String getfCtrlcorpid() {
        return fCtrlcorpid;
    }

    public void setfCtrlcorpid(String fCtrlcorpid) {
        this.fCtrlcorpid = fCtrlcorpid;
    }

    public String getfCorpidName() {
        return fCorpidName;
    }

    public void setfCorpidName(String fCorpidName) {
        this.fCorpidName = fCorpidName;
    }

    public Date getfAccbilldate() {
        return fAccbilldate;
    }

    public void setfAccbilldate(Date fAccbilldate) {
        this.fAccbilldate = fAccbilldate;
    }

    public String gettMblno() {
        return tMblno;
    }

    public void settMblno(String tMblno) {
        this.tMblno = tMblno;
    }

    public Float getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtdr(Float fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public Float getfAmtcr() {
        return fAmtcr;
    }

    public void setfAmtcr(Float fAmtcr) {
        this.fAmtcr = fAmtcr;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public float getfTaxrate() {
        return fTaxrate;
    }

    public void setfTaxrate(float fTaxrate) {
        this.fTaxrate = fTaxrate;
    }

    public String getChargingMethod() {
        return chargingMethod;
    }

    public void setChargingMethod(String chargingMethod) {
        this.chargingMethod = chargingMethod;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getWaterBillNo() {
        return waterBillNo;
    }

    public void setWaterBillNo(String waterBillNo) {
        this.waterBillNo = waterBillNo;
    }

    public String getfBillstatus() {
        return fBillstatus;
    }

    public void setfBillstatus(String fBillstatus) {
        this.fBillstatus = fBillstatus;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }
}
